Skip to content

Create 'Apartment'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
buildingobject(Building)required
bi_areanumber or null, (float)
categorystring or null, <= 64 characters

Additional Validation Information:

Enum Descriptions:

  • PX_1_ROK - Px 1 Rok

  • PX_1_5_ROK - Px 1 5 Rok

  • PX_2_ROK - Px 2 Rok

  • PX_2_5_ROK - Px 2 5 Rok

  • PX_3_ROK - Px 3 Rok

  • PX_3_5_ROK - Px 3 5 Rok

  • PX_4_ROK - Px 4 Rok

  • PX_4_5_ROK - Px 4 5 Rok

  • PX_5_ROK - Px 5 Rok

  • PX_5_5_ROK - Px 5 5 Rok

  • PX_6_ROK - Px 6 Rok

  • PX_6_5_ROK - Px 6 5 Rok

  • PX_7_ROK - Px 7 Rok

  • PX_7_5_ROK - Px 7 5 Rok

  • PX_8_ROK - Px 8 Rok

  • PX_8_5_ROK - Px 8 5 Rok

  • PX_9_ROK - Px 9 Rok

  • PX_9_5_ROK - Px 9 5 Rok

  • PX_10_ROK - Px 10 Rok

  • PX_10_5_ROK - Px 10 5 Rok

  • PX_11_ROK - Px 11 Rok

  • PX_11_5_ROK - Px 11 5 Rok

  • PX_12_ROK - Px 12 Rok

  • PX_12_5_ROK - Px 12 5 Rok

  • PX_13_ROK - Px 13 Rok

  • PX_13_5_ROK - Px 13 5 Rok

  • PX_14_ROK - Px 14 Rok

  • PX_14_5_ROK - Px 14 5 Rok

  • PX_15_ROK - Px 15 Rok

  • PX_15_5_ROK - Px 15 5 Rok

  • PX_16_ROK - Px 16 Rok

  • PX_16_5_ROK - Px 16 5 Rok

  • PX_1_ROKV - Px 1 Rokv

  • PX_1_5_ROKV - Px 1 5 Rokv

  • PX_2_ROKV - Px 2 Rokv

  • PX_2_5_ROKV - Px 2 5 Rokv

  • PX_3_ROKV - Px 3 Rokv

  • PX_3_5_ROKV - Px 3 5 Rokv

  • PX_4_ROKV - Px 4 Rokv

  • PX_4_5_ROKV - Px 4 5 Rokv

  • PX_5_ROKV - Px 5 Rokv

  • PX_1_PENTRY - Px 1 Pentry

  • PX_1_5_PENTRY - Px 1 5 Pentry

  • PX_2_PENTRY - Px 2 Pentry

  • PX_2_5_PENTRY - Px 2 5 Pentry

  • PX_3_PENTRY - Px 3 Pentry

  • PX_1_RO - Px 1 Ro

  • PX_1_5_RO - Px 1 5 Ro

  • PX_2_RO - Px 2 Ro

  • PX_2_5_RO - Px 2 5 Ro

  • PX_3_RO - Px 3 Ro

  • PX_1_ROS - Px 1 Ros

  • PX_1_5_ROS - Px 1 5 Ros

  • PX_2_ROS - Px 2 Ros

  • PX_2_5_ROS - Px 2 5 Ros

  • PX_3_ROS - Px 3 Ros

Enum:"PX_1_ROK""PX_1_5_ROK""PX_2_ROK""PX_2_5_ROK""PX_3_ROK""PX_3_5_ROK""PX_4_ROK""PX_4_5_ROK""PX_5_ROK""PX_5_5_ROK"
tempered_areanumber or null, (float)
addressobject or null(Address)
custom_idstring or null, <= 128 characters
usable_areanumber or null, (float)
landlord_custom_idstring or null, <= 255 characters
financial_handlerobject or null(Company)
archivedboolean
custom_dimension_valuestring or null, <= 255 characters
organizationobject or null(Organization)
floorsArray of integers or null, (int32), unique
popular_namestring or null, <= 255 characters
apartment_idstring or null, <= 4 characters'^\d{4}$'
POST
/objects/spaces/spaces/apartment/
curl -i -X POST \
  https://dev.api.pigello.io/objects/spaces/spaces/apartment/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "bi_area": 0.1,
    "category": "PX_1_ROK",
    "tempered_area": 0.1,
    "address": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "custom_id": "string",
    "usable_area": 0.1,
    "landlord_custom_id": "string",
    "financial_handler": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "archived": true,
    "custom_dimension_value": "string",
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "floors": [
      0
    ],
    "popular_name": "string",
    "apartment_id": "stri",
    "building": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful creation

Bodyapplication/json
future_contractinginteger, (int32), [ -2147483648 .. 2147483647 ]read-onlyrequired

Additional Validation Information:

Enum Descriptions:

  • 0 - Uncontracted

  • 1 - Drafted

  • 2 - Unsigned

  • 3 - Signed

Enum:0123
statusinteger, (int32), [ -2147483648 .. 2147483647 ]read-onlyrequired

Additional Validation Information:

Enum Descriptions:

  • 0 - Active

  • 1 - Active Further

  • 2 - Active Definite End

  • 3 - Cancelled Pending Negotiation

  • 4 - Cancelled Pending

  • 5 - Cancelled Negotiation

  • 6 - Cancelled

  • 7 - Owner Warning

  • 8 - Counterpart Warning

  • 9 - Upcoming

  • 10 - Not Signed

  • 11 - Inactive Cancellation Not Signed

  • 12 - Inactive

Enum:0123456789
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

buildingobject(Building)required
tenantobject or null(Tenant)read-only
bi_areanumber or null, (float)
categorystring or null, <= 64 characters

Additional Validation Information:

Enum Descriptions:

  • PX_1_ROK - Px 1 Rok

  • PX_1_5_ROK - Px 1 5 Rok

  • PX_2_ROK - Px 2 Rok

  • PX_2_5_ROK - Px 2 5 Rok

  • PX_3_ROK - Px 3 Rok

  • PX_3_5_ROK - Px 3 5 Rok

  • PX_4_ROK - Px 4 Rok

  • PX_4_5_ROK - Px 4 5 Rok

  • PX_5_ROK - Px 5 Rok

  • PX_5_5_ROK - Px 5 5 Rok

  • PX_6_ROK - Px 6 Rok

  • PX_6_5_ROK - Px 6 5 Rok

  • PX_7_ROK - Px 7 Rok

  • PX_7_5_ROK - Px 7 5 Rok

  • PX_8_ROK - Px 8 Rok

  • PX_8_5_ROK - Px 8 5 Rok

  • PX_9_ROK - Px 9 Rok

  • PX_9_5_ROK - Px 9 5 Rok

  • PX_10_ROK - Px 10 Rok

  • PX_10_5_ROK - Px 10 5 Rok

  • PX_11_ROK - Px 11 Rok

  • PX_11_5_ROK - Px 11 5 Rok

  • PX_12_ROK - Px 12 Rok

  • PX_12_5_ROK - Px 12 5 Rok

  • PX_13_ROK - Px 13 Rok

  • PX_13_5_ROK - Px 13 5 Rok

  • PX_14_ROK - Px 14 Rok

  • PX_14_5_ROK - Px 14 5 Rok

  • PX_15_ROK - Px 15 Rok

  • PX_15_5_ROK - Px 15 5 Rok

  • PX_16_ROK - Px 16 Rok

  • PX_16_5_ROK - Px 16 5 Rok

  • PX_1_ROKV - Px 1 Rokv

  • PX_1_5_ROKV - Px 1 5 Rokv

  • PX_2_ROKV - Px 2 Rokv

  • PX_2_5_ROKV - Px 2 5 Rokv

  • PX_3_ROKV - Px 3 Rokv

  • PX_3_5_ROKV - Px 3 5 Rokv

  • PX_4_ROKV - Px 4 Rokv

  • PX_4_5_ROKV - Px 4 5 Rokv

  • PX_5_ROKV - Px 5 Rokv

  • PX_1_PENTRY - Px 1 Pentry

  • PX_1_5_PENTRY - Px 1 5 Pentry

  • PX_2_PENTRY - Px 2 Pentry

  • PX_2_5_PENTRY - Px 2 5 Pentry

  • PX_3_PENTRY - Px 3 Pentry

  • PX_1_RO - Px 1 Ro

  • PX_1_5_RO - Px 1 5 Ro

  • PX_2_RO - Px 2 Ro

  • PX_2_5_RO - Px 2 5 Ro

  • PX_3_RO - Px 3 Ro

  • PX_1_ROS - Px 1 Ros

  • PX_1_5_ROS - Px 1 5 Ros

  • PX_2_ROS - Px 2 Ros

  • PX_2_5_ROS - Px 2 5 Ros

  • PX_3_ROS - Px 3 Ros

Enum:"PX_1_ROK""PX_1_5_ROK""PX_2_ROK""PX_2_5_ROK""PX_3_ROK""PX_3_5_ROK""PX_4_ROK""PX_4_5_ROK""PX_5_ROK""PX_5_5_ROK"
tempered_areanumber or null, (float)
has_base_rent_vatbooleanread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
addressobject or null(Address)
custom_idstring or null, <= 128 characters
usable_areanumber or null, (float)
landlord_custom_idstring or null, <= 255 characters
financial_handlerobject or null(Company)
archivedboolean
bi_tenantsArray of objects(Tenant)read-only
tagsanyread-only
custom_dimension_valuestring or null, <= 255 characters
created_atstring, (date-time)read-only
market_apartmentanyread-only
organizationobject or null(Organization)
floorsArray of integers or null, (int32), unique
popular_namestring or null, <= 255 characters
apartment_idstring or null, <= 4 characters'^\d{4}$'
Response
{ "tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "bi_area": 0.1, "category": "PX_1_ROK", "tempered_area": 0.1, "has_base_rent_vat": true, "customer_columns": null, "pending_monitor_approval_amount": null, "address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "custom_id": "string", "usable_area": 0.1, "landlord_custom_id": "string", "financial_handler": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "archived": true, "bi_tenants": [ {} ], "tags": null, "custom_dimension_value": "string", "created_at": "2019-08-24T14:15:22Z", "market_apartment": null, "future_contracting": 0, "status": 0, "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "floors": [ 0 ], "popular_name": "string", "apartment_id": "stri", "building": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }